# Get all Customs Products

Returns a list of all Customs Products.

Endpoint: GET /api/v1/customsproduct
Version: 1.0.0
Security: bearerAuth

## Query parameters:

  - `sort` (string)

  - `page` (number)

  - `size` (number)

## Response 200 fields (application/json):

  - `pageInfo` (object)
    Pagination details for the response.

  - `pageInfo.total` (integer)
    Total number of records available.
    Example: 10

  - `pageInfo.pages` (integer)
    Total number of pages available.
    Example: 1

  - `pageInfo.page` (integer)
    Example: 1

  - `pageInfo.pageSize` (integer)
    Example: 20

  - `data` (array)
    List of customs products.

  - `data.customsProductId` (string)
    Customs product identifier.
    Example: MGW40jeQAZ3m

  - `data.description` (string)
    Description of the product.
    Example: towel

  - `data.originCountryCode` (string)
    ISO country code of the product origin.
    Example: US

  - `data.hsTariffCode` (string)
    Harmonized System (HS) tariff code.
    Example: hsc01

  - `data.quantity` (integer)
    Quantity of the product.
    Example: 1

  - `data.unitPrice` (number)
    Unit price of the product.
    Example: 10

  - `data.itemId` (string)
    Unique identifier for the commodity.
    Example: item1

  - `data.url` (string)
    Product page URL.
    Example: abc

  - `data.productDimensions` (object)
    Physical details of the product (Item).

  - `data.productDimensions.length` (number)
    Length of the product.
    Example: 10

  - `data.productDimensions.height` (number)
    Height of the product.
    Example: 10

  - `data.productDimensions.width` (number)
    Width of the product.
    Example: 10

  - `data.productDimensions.dimUnit` (string)
    Unit of measurement for dimensions.
    Enum: "IN", "CM"

  - `data.weightUnit` (string)
    Unit of weight.
    Enum: "OZ", "GM"

  - `data.weight` (number)
    Weight of the product(Item).
    Example: 10

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Customs Product not found

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

